Page MenuHomePhabricator

TranslationNotifications: code stewardship review
Closed, ResolvedPublic

Description

Basics

Rubric

Was it a cause of production outages or incidents? List them.
Yes. Several major bugs (T48310, T63122, T107708, T129069, T144780, T154736 & T160276) keep the extension unusable at this moment at Meta-Wiki.

Does it have sufficient hardware resources for now and the near future (to take into account expected usage growth)?
N/A

Is it a frequent cause of monitoring alerts that need action, and are they addressed timely and appropriately?
N/A

When it was first deployed to Wikimedia production
2012 per T38235: Deployment of TranslationNotifications.

Usage statistics based on audience(s) served
Wikis with TranslationNotifications active.

Changes committed in last 1, 3, 6, and 12 months (excluding builds updates and translation updates)

  • from 2017-01 to 2017-12: 5 commits
  • from 2018-01 to 2018-02-18: 2 commits

Reliance on outdated platforms (e.g. operating systems)
N/A
Number of developers who committed code in the last 1, 3, 6, and 12 months
Excluding builds and translation updates: @Jayprakash12345, @Umherirrender and @MarcoAurelio

Number and age of open patches
Currently only one patch open: https://gerrit.wikimedia.org/r/#/c/409573/.

Number and age of open bugs
There are 25 public maniphest tasks, of which the oldest one is from March 2014 (source).

Number of known dependencies?
Extension needs MediaWiki-extensions-Translate to work.

Is there a replacement/alternative for the feature? Is there a plan for a replacement?
No / Maybe Notifications integration

Stats

https://wikimedia.biterg.io/goto/cc233085c0c111cd52dd7864622dbd3b

Short statement

MediaWiki-extensions-TranslationNotifications is an extension that allows translation administrators, on wikis where MediaWiki-extensions-Translate is enabled, to notify a list of subscribed translators when there's something new to translate, so we can keep translations as updated as possible.

Notwithstanding that being a good idea, a number of unresolved Tasks are pilling on and no resources are being allocated to fix them. As per T144780#2993927 this extension is not being looked into except for UBN tasks.

While the number of tasks at this moment is low, some of them, to wit, T63122: Timeout when sending translation notification (yet again), T160276: Use of Special:NotifyTranslators is not being logged. T144780: Translation Notification Bot sending the same message multiple times to every translator and T129069: Fatal error MWException when using [[Special:NotifyTranslators]] on Meta: "CAS update failed on user_touched" have made the extension unusable on some production wikis, such as Meta-Wiki (where we had to soft-disable it), being Meta-Wiki the largest project where translations are made for policies, elections and other stuff.

Desired outcome

Given that the extension is useful, sunsetting is not recommended, but it'd be good to find volunteers or allocate resources so work on this extension can be resumed (specially focus at first on fixing the high priority bugs) and make the extension usable again on production or investigate integration with another product.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2018, 10:12 AM

I was considering to submit this for review, so thanks for doing it.

I would like to know more about whether this functionality could be implemented in the MassMessage extension to reduce future maintenance overhead. It already has robust delivery mechanisms, but it probably cannot handle delivery to unions/intersections of lists (if we go the route of having one list per language).

jhsoby added a comment.Feb 7 2018, 8:48 AM

In addition to looking into MassMessage integration, I think it would also be worth looking into integrating it with Notifications (Echo). That was actually something I wanted when the extension was made, the problem was just that Echo didn't exist yet. :-) Right now I think the threshold for sending out a notification is very high since it's posted to many user talk pages, but being able to send out notifications via Echo should lower that threshold significantly I think.

Using Echo instead of direct email/talk page messages sounds good to me. Echo can be configured to send some alerts via email so those still willing to receive emails about translation notifications can set their preferences as such.

MarcoAurelio updated the task description. (Show Details)Feb 19 2018, 7:17 PM
Nikerabbit triaged this task as Normal priority.Apr 11 2018, 3:45 PM

According to Language-Team work schedule, MediaWiki-extensions-TranslationNotifications is only being looked for UBN tasks (passive maintenance) [I think I forgot to mention that in the rubric above].

At this juncture the Language-Team will move forward as the Code Stewards for this extension. Runa and I have briefly discussed and will be working to get this extension the support/funding for more active maintenance. In the meantime non-UBN issues that need support will be reviewed on a case-by-case basis. @MarcoAurelio of the open changesets, are there any in particular that are of higher priority?

At this juncture the Language-Team will move forward as the Code Stewards for this extension. Runa and I have briefly discussed and will be working to get this extension the support/funding for more active maintenance. In the meantime non-UBN issues that need support will be reviewed on a case-by-case basis. @MarcoAurelio of the open changesets, are there any in particular that are of higher priority?

Hi @Jrbranaa - this is good news, thanks.

At this point I'd say (personally, I'm not sure others) that the major bugs opened at this time are T63122: Timeout when sending translation notification (yet again) and T144780: Translation Notification Bot sending the same message multiple times to every translator. Thanks.

Jrbranaa closed this task as Resolved.Jul 9 2018, 7:39 PM
Jrbranaa claimed this task.

Closing this task as resolved. Will work with Language Team to see what can be done to prioritize T63122 and T144780 per MarcoAurelio's suggestion.